@import url('variables.css');
@import url('base.css');
@import url('media.css');

/* FLEX */
.flex-wrapper { display: flex; flex: 1 }
.fw-row { flex-direction: row } .fw-column { flex-direction: column }
.fw-j-sb { justify-content: space-between } .fw-j-center { justify-content: center }
.fw-a-center { align-items: center } .fw-a-end { align-items: flex-end; }
.p-r { position: relative; }

.comma-after::after {
  content: ',';
  position: absolute;
  left: 50%; top: 50%;
  font-size: 24px;
  font-weight: 900;
  transform: translate(-50%, -40%);
}


/*
  -----------
  | APP CSS |
  -----------
*/
#app, #app .page {
  display: block;
  min-height: 100%;
}

.sidebar {
  position: fixed;
  top: 0; left: 0; bottom: 0;
  width: 280px; height: 100%;
  display: flex;
  flex-direction: column;
  background-color: var(--night-blue);
  overflow-x: hidden; overflow-y: auto;
  transition: 150ms width ease;
  z-index: 10;
  box-shadow: 0 2px 12px rgb(0 0 0 / 40%);
}
.sidebar.folded { width: 65px; }
.sidebar.opened { display: flex !important; width: 280px; }

.sidebar::-webkit-scrollbar {
  width: 12px;
}

.sidebar::-webkit-scrollbar-track {
  background: var(--night-blue);
}
 
.sidebar::-webkit-scrollbar-thumb {
  background: rgba(78, 172, 235, 0.37); 
  border-radius: 8px;
  border: 4px solid rgba(255, 255, 255, 0);
  background-clip: padding-box;
}

.sidebar::-webkit-scrollbar-thumb:hover {
  background-color: var(--blue); 
}

.sidebar-header {
  position: relative;
  display: flex;
  align-items: center;
  width: 100%; height: 60px;
  padding: 0 1rem;
  background-color: var(--night-blue-darker);
}
.sidebar.folded .sidebar-header {
  padding: 0;
  justify-content: center;
}

.toggle-folding-sidebar {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 2rem; height: 2rem;
  padding: 0;
}
.toggle-folding-sidebar .feather { width: 1.375rem; height: 1.375rem; margin: 0; }

.sidebar-body {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 100%; min-height: calc(100% - 60px);
  padding: 0 1rem;
}
.sidebar.folded .sidebar-body { padding: 0; }

.orders-navigation, .navigation {
  margin: 1.5rem 0;
}

.orders-navigation li > a {
  background-color: rgba(255, 255, 255, .09);
}
.sidebar.folded .orders-navigation li > a {
  background-color: transparent;
}

.orders-navigation li > a .icon {
  background-color: transparent !important;
  padding: 0 !important; 
}
.sidebar.folded .orders-navigation li > a .icon {
  padding: .5rem !important;
  background-color: rgba(255, 255, 255, .09) !important;
}

.orders-navigation li > a .icon img {
  width: 48px;
  height: 48px;
}
.orders-navigation li > a .icon img[src="/uploads/plus-circle.png"] {
  width: 40px; height: 40px;
}

.sidebar.folded .orders-navigation li > a .icon img {
  width: 32px;
  height: 32px;
}
.sidebar.folded .orders-navigation li > a .icon img[src="/uploads/plus-circle.png"] {
  width: 28px; height: 28px;
}


.navigation-title {
  display: flex;
  letter-spacing: 2px;
  text-transform: uppercase;
  color: #f3f4f6;
  font: normal 600 11px/1.6667 'Inter', sans-serif;
  margin-bottom: .75rem;
}

.sidebar.folded .navigation-title { display: none; }

.navigation, .navigation > ul {
  position: relative;
  display: flex;
  flex-direction: column;
}

.navigation li > a {
  display: flex;
  align-items: center;
  padding: .5rem .75rem;
  margin-bottom: .5rem;
  border-radius: 8px;
  font-size: 14px;
  color: #d1d2d6;
  transition: 150ms color ease, 150ms background-color ease;
}
.navigation li > a.active {
  background-color: rgba(7, 138, 224, 0.17);
  color: #fff;
  font-weight: 500;
}
.navigation li > a:hover {
  background-color: rgba(0, 118, 199, .17);
  color: #fff;
} 

.navigation li > a .icon {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-right: .75rem;
  border-radius: 8px;
  padding: .5rem;
  background-color: rgba(255, 255, 255, .09);
}

.sidebar.folded .navigation li > a { justify-content: center }
.sidebar.folded .navigation li > a > .icon { margin-right: 0; }
.sidebar.folded .navigation li > a > span:not(.icon) { display: none; }

.navigation li > a .icon .feather { width: 1.125rem; height: 1.125rem; }

.logout {
  display: flex;
  justify-content: center;
  margin-top: auto;
  padding: 0 1rem 1rem;
}

.header .logout-button {
  padding: 10px 12px;
  background-color: var(--blue);
  color: #fff;
}
.header .logout-button .feather { margin-right: 0; }
.header .logout-button:hover {
  background-color: var(--blue-dark);
  color: #fff;
}

.logout-button {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 9px 16px;
  background-color: rgba(255, 255, 255, .12);
  border-radius: 8px;
  font: normal 500 14px/1.6667 'Inter', sans-serif;
  color: #d1d2d6;
  transition: 150ms color ease, 150ms background-color ease;
}
.logout-button:hover { color: #fff; background-color: rgba(255, 255, 255, .09); }

.logout-button .feather {
  width: 1.125rem; height: 1.125rem;
  margin-right: .5rem;
}

.sidebar.folded .logout-button span { display: none }
.sidebar.folded .logout-button .feather { margin-right: 0; }

.main {
  position: relative;
  display: flex;
  flex-direction: column;
  left: 0; top: 0; right: 0; bottom: 0;
  margin-left: 280px;
  background-color: #d3e3ea;
  transition: 250ms margin-left ease;
  min-height: 100vh;
}
.sidebar.folded ~ .main { margin-left: 65px; }

.header {
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: space-between;
  width: 100%; height: 60px;
  background-color: #fff;
  border-bottom: 1px solid #EBEDF3;
  padding: var(--default-pad);
}

.header .logos {
  display: flex;
  align-items: center;
}

.header .logos > li {
  display: flex;
  height: 2rem; width: auto;
  margin-right: 1.25rem;
}
.header .logos > li:last-child {/* height: 1.625rem; *//* margin-top: .25rem; */}

.header .mobile-sidebar-toggler {
  display: none;
  justify-content: center;
  align-items: center;
  padding: 0;
  width: 3rem; height: 2.5rem;
}
.header .mobile-sidebar-toggler .feather { margin: 0; }

.subbanner {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%; height: 50px;
  padding: var(--default-pad);
  background-color: #fff;
  border-bottom: 1px solid #EBEDF3;
}

.subbanner .page-name {
  display: flex;
  align-items: center;
  font: normal 600 16px/1.6667 'Inter', sans-serif;
  color: var(--dark-300);
}

.home-button {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 2.375rem; height: 2.375rem;
  border-radius: 8px;
  background-color: var(--orange);
  color: #fff;
  margin-right: 1rem;
}
.home-button:hover {
  background-color: var(--orange-dark);
  color: #fff;
}
.home-button .feather { width: 1.25rem; height: 1.25rem; }

.subbanner .details {
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  color: var(--dark-600);
  font-weight: 500;
  font-size: 14px;
}

.content {
  position: relative;
  display: flex;
  flex-direction: column;
  padding: var(--default-pad-y);
  background: #d3e3ea;
}

.add-product {
  display: flex;
  align-items: center;
  width: fit-content;
  margin-left: auto;
}
.add-product .feather {
  margin-right: .5rem;
  width: 1.125rem; height: 1.125rem;
}

.total-flex-container {
  display: flex;
  flex-direction: column;
  border: 1px solid #e0e0e0;
  border-radius: 12px;
}

.total-flex-container .total-column {
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  width: 100%;
}
.total-flex-container .total-column:not(:last-child) {
  border-bottom: 1px solid #e0e0e0;
}

.total-flex-container .total-row {
  display: flex;
  flex: 1;
  padding: .5rem 1rem;
}
.total-flex-container .total-row:first-child { font-weight: 600; }
.total-flex-container .total-row:last-child { justify-content: flex-end; border-left: 1px solid #e0e0e0; }

.total-details {
  display: flex;
  flex-flow: row;
  align-items: stretch;
}

.total-details .details-row {
  display: flex; flex: 1;
  flex-direction: column;
  border: 1px solid #e0e0e0;
  border-left-width: 0;
}
.total-details .details-row:first-child {
  border-left: 1px solid #e0e0e0;
  border-top-left-radius: 12px;
  border-bottom-left-radius: 12px;
  overflow: hidden;
}
.total-details .details-row:last-child {
  border-top-right-radius: 12px;
  border-bottom-right-radius: 12px;
  overflow: hidden;
}

.total-details .details-row .title {
  font-weight: 600;
  padding: .5rem;
  background-color: #eee;
  border-bottom: 1px solid #d0d0d0;
}

.total-details .details-row .details-content {
  padding: .5rem;
  text-align: right;
}

.order-actions {
  display: flex;
  flex-direction: column;
  margin-top: auto;
}
.order-actions .actions {
  display: flex;
  justify-content: flex-end;
}

.warning {
  display: flex;
  padding: 1rem;
  margin-bottom: 1rem;
  background-color: rgba(201, 44, 44, .15);
  color: rgb(201, 44, 44);
  border-radius: 8px;
}

.announcements {
  display: flex;
  flex-direction: column;
  width: 100%;
}

.announcements-header {
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
}

.announcements-title {
  display: flex; flex: 1;
  padding: .5rem 1rem;
  background-color: var(--white-secondary);
  font-weight: 600;
}
.announcements-title:first-child { border-right: 1px solid var(--border-lighter); }

.announcement {
  display: flex;
  flex-direction: row;
  align-items: center;
  border-bottom: 0;
  border: 1px solid var(--border-lighter)
}

.announcement-content,
.announcement-date {
  display: flex; flex: 1;
  padding: .5rem 1rem;
}

.announcement-date {
  display: flex; flex: 1;
  border-left: 1px solid var(--border-lighter);
}

.info-table {
  display: flex;
  flex-direction: column;
  width: 100%;
  border: 1px solid var(--border-lighter);
  border-radius: 12px;
  overflow-x: auto;
}

.info-table .info-column {
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
}
.info-table .info-column:not(:last-child) { border-bottom: 1px solid var(--border-lighter); }

.info-table .info-row {
  display: flex;
  align-items: center;
  padding: .5rem 1rem;
}

.info-table .info-row:first-child {
  font-weight: 600;
  width: 250px;
  background: #f4f6f8;
  border-right: 1px solid var(--border-lighter);
}

.info-table .row-wrapper {
  display: flex; flex: 1;
  align-items: center;
}

.info-table .row-inner {
  display: flex; flex: 1;
}

.info-table .row-inner:first-child { border-right: 1px solid var(--border-lighter); }

#odenecekTutarKurus::before {
  content: ',';
  position: absolute;
  left: 0;
}

.product-type-select {
  display: flex;
  width: 200px;
  margin-left: 1.5rem;
}

.product-image {
  display: flex;
  justify-content: center;
}

.product-image,
.product-image img {
  max-height: 400px;
}

.pancar-yukleme {
  max-width: 768px;
  margin: 0 auto;
}

.badge {
  padding: 4px 8px;
  border-radius: 19px;
  font-size: 11px;
  text-transform: uppercase;
  color: #fff;
  margin-right: .75rem;
}
.question-badge { background-color: var(--orange) }
.answer-badge { background-color: var(--green) }

/* GIRIS.HTML */
.background-image,
.background-overlay {
  position: absolute;
  top: 0; left: 0; right: 0; bottom: 0;
  width: 100%; height: 100%;
}

.background-image {
  background-size: cover;
  background-repeat: no-repeat;
  background-position: -294px center;
  z-index: 1;
  width: 116%;
}

.background-overlay {
  /* background-color: rgba(0, 0, 0, .3); */
  z-index: 2;
}

.login-wrapper {
  position: relative;
  display: flex;
  height: 100vh;
  z-index: 3;
}

.login {
  display: flex;
  width: 100%;
  height: 100%;
}

.login .logo {
  display: flex;
  justify-content: center;
  height: 69px;
  margin-top: 1.5rem;
}
.login .login-nav {
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
}
.login .login-nav-btn {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem 1.25rem;
  min-width: 150px;
  text-transform: uppercase;
  background-color: #b4b4b4;
  color: #fff;
  font-weight: 700;
  -webkit-transition: .15s background-color ease;
  -moz-transition: .15s background-color ease;
  -o-transition: .15s background-color ease;
  transition: .15s background-color ease;
}
.login .login-nav-btn.nav-active { background-color: var(--orange); }
.login .login-nav-btn:first-child { border-top-left-radius: 6px; }
.login .login-nav-btn:last-child { border-top-right-radius: 6px; }

.login-block {
  position: relative;
  display: flex;
  flex-direction: column;
  background-color: #F3F3F3DD;
  border-radius: 16px;
  max-width: 400px;
  box-shadow: 0 3px 8px rgba(4, 4, 4, .3);
}
.login-block .tab-title {
  font-size: 1.25rem;
  font-weight: 700;
  color: var(--dark-800);
  padding: 1.5rem 1.25rem .625rem;
  text-align: center;
} 
.login-block .form {
  padding: .625rem 1.25rem 1.5rem;
}
.login-block .form .form-control {
  border: 1px solid var(--border-light);
  border-radius: 50px;
  box-shadow: none;
  padding: .875rem 1.25rem;
}
.login-block .form .form-control:focus { border-color: var(--orange); }

.login-wrapper .btn-return {
  position: absolute;
  bottom: 30px; left: 50%;
  -webkit-transform: translate3d(-50%, 0, 0);
  -moz-transform: translate3d(-50%, 0, 0);
  -o-transform: translate3d(-50%, 0, 0);
  transform: translate3d(-50%, 0, 0);
  z-index: 10;
}